=== debian/changelog ===
zynaddsubfx (2.5.1-3) unstable; urgency=medium

  * Added patch to fix build on armel arch.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Tue, 29 Sep 2015 22:41:40 +0200

zynaddsubfx (2.5.1-2) unstable; urgency=medium

  * Add patch to fix build on some archs.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Tue, 08 Sep 2015 23:03:32 +0200

zynaddsubfx (2.5.1-1) unstable; urgency=medium

  * New upstream release.
  * Update watch file to be more flexible.
  * Update build deps.
  * Update docs file.
  * Refresh patches

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Sun, 05 Jul 2015 00:41:20 +0200

zynaddsubfx (2.4.3-6) unstable; urgency=medium

  * Fix install on 32bit systems.(Closes: #789345)

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Sat, 20 Jun 2015 08:39:41 +0200
