=== rtosc/CMakeLists.txt ===
--- 
+++ 
@@ -13,10 +13,21 @@
     include(GNUInstallDirs)
 endif()
 
+
 include_directories(${CMAKE_CURRENT_SOURCE_DIR}/include)
-if(NOT WIN32)
-    set(CMAKE_C_FLAGS   "${CMAKE_C_FLAGS}   -O2 -fPIC -std=c99   -Wall -Wextra")
-    set(CPP_FLAGS       "-O2 -fPIC -std=c++11 -Wall -Wextra -Wno-unused-parameter")
+set(CXX11_FLAG "-std=c++11")
+set(FPIC_FLAG "-fPIC")
+set(OPT_FLAG "-O2")
+if(CMAKE_BUILD_TYPE STREQUAL Debug)
+    set(OPT_FLAG "")
+endif()
+if(WIN32)
+    #code is position-independent by default on Windows
+    set(FPIC_FLAG "")
+endif()
+if(NOT WIN32 OR CMAKE_COMPILER_IS_GNUCC)
+    set(CMAKE_C_FLAGS   "${OPT_FLAG} ${CMAKE_C_FLAGS} -fPIC -std=c99   -Wall -Wextra")
+    set(CPP_FLAGS       "${OPT_FLAG} ${FPIC_FLAG} -Wall -Wextra -Wno-unused-parameter")
 endif()
 
 if(CMAKE_COMPILER_IS_GNUCC)
@@ -27,11 +38,11 @@
         message(STATUS "Found GCC Version >= 4.7")
     else()
         message(WARNING "GCC Version '${GCC_VERSION}' Is Quite Old, Please Consider Upgrading")
-        set(CPP_FLAGS "-O2 -fPIC -std=c++0x -Wall -Wextra -Wno-unused-parameter")
+        set(CXX11_FLAG "-std=c++0x")
     endif()
 endif()
 
-set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${CPP_FLAGS}")
+set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${CPP_FLAGS} ${CXX11_FLAG}")
 
 add_library(rtosc STATIC src/rtosc.c src/dispatch.c)
 add_library(rtosc-cpp STATIC src/cpp/ports.cpp src/cpp/miditable.cpp
@@ -120,6 +131,7 @@
 maketest(fat-message)
 maketest(empty-strings)
 maketest(message-alignment)
+maketest(test-arg-iter)
 if(LIBLO_FOUND)
     include_directories(${LIBLO_INCLUDE_DIRS})
     maketest(liblo)
@@ -138,7 +150,11 @@
 maketestcpp(undo-test)
 maketestcpp(serializer)
 maketestcpp(sugar)
-maketestcpp(typed-template-test)
+if(CXX11_FLAG STREQUAL "-std=c++11")
+    maketestcpp(typed-template-test)
+endif()
+
+maketestcpp(path-collapse)
 
 # Documentation
 find_package(Doxygen)
