=== src/CMakeLists.txt ===
--- 
+++ 
@@ -4,9 +4,12 @@
 
 #Dependency check
 include(CheckFunctionExists)
+include(CheckIncludeFile)
+include(CheckCXXSourceCompiles)
 find_package(PkgConfig REQUIRED)
 find_package(zlib REQUIRED)
 find_package(X11)
+check_include_file(X11/xpm.h HAS_XPM)
 pkg_check_modules(FFTW REQUIRED fftw3)
 pkg_check_modules(MXML REQUIRED mxml)
 find_package(Threads   REQUIRED)
@@ -32,6 +35,15 @@
 mark_as_advanced(LIBLO_LIBRARIES)
 
 CHECK_FUNCTION_EXISTS(sched_setscheduler HAVE_SCHEDULER)
+set(CMAKE_REQUIRED_FLAGS "-std=c++11")
+CHECK_CXX_SOURCE_COMPILES(
+    "#include <future>
+    #if ATOMIC_INT_LOCK_FREE<2
+    #error unreliable atomics
+    #endif
+    int main(){return 0;}" HAVE_ASYNC)
+set(CMAKE_REQUIRED_FLAGS "")
+
 
 execute_process(COMMAND echo fistpl 0
                 COMMAND as -
@@ -73,6 +85,12 @@
 if(NOT "Darwin" STREQUAL ${CMAKE_SYSTEM_NAME})
     # Add scheduler function existance info (OSX compatiability)
     add_definitions(-DHAVE_SCHEDULER=${HAVE_SCHEDULER})
+endif()
+
+if(HAVE_ASYNC)
+    add_definitions(-DHAVE_ASYNC=1)
+else()
+    add_definitions(-DHAVE_ASYNC=0)
 endif()
 
 
@@ -267,7 +285,7 @@
 
 
 	set(GUI_LIBRARIES zynaddsubfx_gui ${FLTK_LIBRARIES} ${FLTK_LIBRARIES} ${OPENGL_LIBRARIES})
-    if(X11_FOUND)
+    if(X11_FOUND AND HAS_XPM)
         set(GUI_LIBRARIES ${GUI_LIBRARIES} ${X11_LIBRARIES} -lXpm)
     endif()
 
@@ -291,7 +309,7 @@
 
 	set(GUI_LIBRARIES zynaddsubfx_gui ${NTK_LIBRARIES} ${NTK_IMAGES_LIBRARIES} ${OPENGL_LIBRARIES})
 
-    if(X11_FOUND)
+    if(X11_FOUND AND HAS_XPM)
         set(GUI_LIBRARIES ${GUI_LIBRARIES} ${X11_LIBRARIES} -lXpm)
     endif()
 
@@ -346,7 +364,10 @@
 add_subdirectory(Nio)
 
 add_library(zynaddsubfx_core STATIC
+    globals.cpp
     ../tlsf/tlsf.c
+    Containers/NotePool.cpp
+    Containers/MultiPseudoStack.cpp
 	${zynaddsubfx_dsp_SRCS}
 	${zynaddsubfx_effect_SRCS}
 	${zynaddsubfx_misc_SRCS}
@@ -377,28 +398,3 @@
     zynaddsubfx_gui_bridge
 	${GUI_LIBRARIES}
 	${NIO_LIBRARIES}
-	${AUDIO_LIBRARIES}
-	)
-
-if (DssiEnable)
-	add_library(zynaddsubfx_dssi SHARED
-        UI/ConnectionDummy.cpp
-		Output/DSSIaudiooutput.cpp
-		)
-
-	target_link_libraries(zynaddsubfx_dssi
-        zynaddsubfx_core
-		${OS_LIBRARIES}
-        ${LIBLO_LIBRARIES}
-		)
-	if (${CMAKE_SIZEOF_VOID_P} EQUAL "8")
-		install(TARGETS zynaddsubfx_dssi LIBRARY DESTINATION lib64/dssi/)
-	else ()
-		install(TARGETS zynaddsubfx_dssi LIBRARY DESTINATION lib/dssi/)
-	endif ()
-endif()
-
-install(TARGETS zynaddsubfx
-	RUNTIME DESTINATION bin
-	)
-if(NtkGui)
