=== src/UI/CMakeLists.txt ===
--- 
+++ 
@@ -34,16 +34,22 @@
     add_executable(zynaddsubfx-ext-gui guimain.cpp)
     target_link_libraries(zynaddsubfx-ext-gui zynaddsubfx_gui ${FLTK_LIBRARIES}
         ${FLTK_LIBRARIES} ${OPENGL_LIBRARIES} ${LIBLO_LIBRARIES} rtosc rtosc-cpp)
-    if(X11_FOUND)
+    if(X11_FOUND AND HAS_XPM)
+        add_definitions(-DHAS_X11=1)
         target_link_libraries(zynaddsubfx-ext-gui ${X11_LIBRARIES} -lXpm)
+    else()
+        add_definitions(-DHAS_X11=0)
     endif()
     install(TARGETS zynaddsubfx-ext-gui RUNTIME DESTINATION bin)
 elseif(NtkGui)
     add_executable(zynaddsubfx-ext-gui guimain.cpp)
     target_link_libraries(zynaddsubfx-ext-gui zynaddsubfx_gui ${NTK_LDFLAGS}
         ${OPENGL_LIBRARIES} ${LIBLO_LIBRARIES} rtosc rtosc-cpp)
-    if(X11_FOUND)
+    if(X11_FOUND AND HAS_XPM)
+        add_definitions(-DHAS_X11=1)
         target_link_libraries(zynaddsubfx-ext-gui ${X11_LIBRARIES} -lXpm)
+    else()
+        add_definitions(-DHAS_X11=0)
     endif()
     install(TARGETS zynaddsubfx-ext-gui RUNTIME DESTINATION bin)
 endif()
@@ -52,6 +58,7 @@
 	${UI_objs}
 	${zynaddsubfx_gui_FLTK_UI_SRCS}
         NioUI.cpp
+	TipWin.cpp
         WidgetPDial.cpp
         PartNameButton.cpp
         Fl_Osc_Pane.cpp
@@ -59,6 +66,7 @@
         Fl_Osc_Dial.cpp
         Fl_Osc_DialF.cpp
         Fl_Osc_Slider.cpp
+        Fl_Osc_TSlider.cpp
         Fl_Osc_VSlider.cpp
         Fl_Osc_Button.cpp
         Fl_Osc_Check.cpp
