=== debian/changelog ===
zynaddsubfx (2.5.2-2ubuntu1) xenial; urgency=medium

  * debian/patches/0007-isnan.patch: Grab patch from upstream Git to fix FTBFS
    with libc 2.23 due to unqualified isnan.

 -- Logan Rosen <logan@ubuntu.com>  Sat, 09 Apr 2016 08:03:03 +0000

zynaddsubfx (2.5.2-2) unstable; urgency=medium

  * Fix copyright file.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Wed, 02 Dec 2015 00:26:43 +0100

zynaddsubfx (2.5.2-1) unstable; urgency=medium

  [ Jaromír Mikeš ]
  * Imported Upstream version 2.5.2
  * Patches refreshed.
  * FAQ.txt removed upstream.
  * Add patch to fix build.
  * Install upstream desktop files and icon.
  * Removed menu file (in response to the tech-ctte decision on #741573).
  * Add Keywords to desktop files.
  * Add another spelling patch.
  * Update copyright file.
  * Remove debian/desktop file.
  * Introduce zynaddsubfx-data package.

  [ Sebastian Ramacher ]
  * debian/control: Bump versions in Breaks + Replaces.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Mon, 23 Nov 2015 21:39:33 +0100
