=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: zynaddsubfx
 Section: sound
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders:
  Jaromír Mikeš <mira.mikes@seznam.cz>
 Build-Depends:
@@ -25,6 +26,7 @@
 Package: zynaddsubfx
 Architecture: any
 Depends:
+ zynaddsubfx-data,
  ${misc:Depends},
  ${shlibs:Depends}
 Description: Realtime software synthesizer for Linux
@@ -33,6 +35,22 @@
  capabilities. It includes randomness of some parameters, which
  makes warm sounds, like analogue synthesizers.
  It has system/insertion effects too, and much more.
+
+Package: zynaddsubfx-data
+Architecture: all
+Depends: ${misc:Depends}
+Recommends: zynaddsubfx
+Breaks: zynaddsubfx (<< 2.5.2-1~)
+Replaces: zynaddsubfx (<< 2.5.2-1~)
+Description: Realtime software synthesizer for Linux (data)
+ A real-time software synthesizer for Linux and Windows with many
+ features, including polyphony, multi-timbral and microtonal
+ capabilities. It includes randomness of some parameters, which
+ makes warm sounds, like analogue synthesizers.
+ It has system/insertion effects too, and much more.
+ .
+ This package contains the architecture-independent data files.
+
 
 Package: zynaddsubfx-dssi
 Architecture: any
