=== debian/watch ===
version=3

http://sf.net/zynaddsubfx/zynaddsubfx-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
